# Yahoo! UI Library

### DataTable Widget 2.2.2

Yahoo! UI Library > datatable > WidthResizer

## Class WidthResizer - extends YAHOO.util.DragDrop

WidthResizer subclasses DragDrop to support resizeable Columns.

### Constructor

WidthResizer `( colElId , handleElId , sGroup )`

Parameters:
  `colElId <string>` ID of the Column's TH element being resized
  `handleElId <string>` ID of the handle element that causes the resize
  `sGroup <string>` Group name of related DragDrop items

#### Properties inherited from YAHOO.util.DragDrop:

`__ygDragDrop, _domRef, available, config, constrainX, constrainY, deltaX, deltaY, dragElId, groups, handleElId, hasOuterHandles, id, invalidHandleClasses, invalidHandleIds, invalidHandleTypes, locked, maintainOffset, maxX, maxY, minX, minY, primaryButtonOnly, startPageX, startPageY, xTicks, yTicks`

### Methods

#### onDrag

`void onDrag ( e )`
Handles drag events on the Column resizer.

Parameters:
  `e <string>` The drag event

Returns: `void`

#### onMouseDown

`void onMouseDown ( e )`
Handles mousedown events on the Column resizer.

Parameters:
  `e <string>` The mousedown event

Returns: `void`

#### onMouseUp

`void onMouseUp ( e )`
Handles mouseup events on the Column resizer.

Parameters:
  `e <string>` The mouseup event

Returns: `void`

#### Methods inherited from YAHOO.util.DragDrop:

`addInvalidHandleClass, addInvalidHandleId, addInvalidHandleType, addToGroup, applyConfig, b4Drag, b4DragDrop, b4DragOut, b4DragOver, b4EndDrag, b4MouseDown, b4StartDrag, clearConstraints, clearTicks, endDrag, getDragEl, getEl, getTargetCoord, getTick, handleMouseDown, handleOnAvailable, init, initTarget, isLocked, isTarget, isValidHandleChild, lock, onAvailable, onDrag, onDragDrop, onDragEnter, onDragOut, onDragOver, onInvalidDrop, onMouseDown, onMouseUp, padding, removeFromGroup, removeInvalidHandleClass, removeInvalidHandleId, removeInvalidHandleType, resetConstraints, setDragElId, setHandleElId, setInitialPosition, setOuterHandleElId, setPadding, setStartPosition, setXConstraint, setXTicks, setYConstraint, setYTicks, startDrag, toString, unlock, unreg`

Copyright © 2007 Yahoo! Inc. All rights reserved.